%global basever 0.8.14

Name:           simple-ccsm
Version:        0.8.14.1
Release:        2%{?dist}
Summary:        Simple settings manager for Compiz
License:        GPLv2+
Group:          User Interface/Desktops
Url:            https://github.com/compiz-reloaded/%{name}
Source:         %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  fdupes
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(compiz) >= %{basever}
BuildRequires:  pkgconfig(libcompizconfig) >= %{basever}
Requires:       compiz-plugins-main >= %{basever}
Requires:       ccsm >= %{basever}
Requires:       python3-cairo
Requires:       compizconfig-python
Requires:       python3-gobject
Recommends:     compiz-plugins-extra >= %{basever}


%description
Compiz settings manager focused on simplicity for an end-user.


%prep
%autosetup

%build
python3 setup.py build \
    --prefix=%{_prefix} \
    --enableDesktopEffects

%install
python3 setup.py install \
    --root=%{buildroot} \
    --prefix=%{_prefix}

mv %{buildroot}%{_datadir}/{metainfo,appdata}/

fdupes -s %{buildroot}%{_datadir}/

desktop-file-install                              \
    --delete-original                             \
    --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome --all-name

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
 
%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md NEWS
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/%{name}.appdata.xml
%{python3_sitelib}/simple_ccsm-%{version}-py3.?.egg-info


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 20 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1:0.8.14.1-1
- update to 0.8.14.1 release
- Fix Compiz checking on Python3.
- Silence a RSVG API version startup warning
- use old rpm python macros
- fix rhbz (#1444170)

* Thu Apr 20 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1:0.8.14-1
- update to 0.8.14 release
- switch to python3
- modernize spec file

* Thu Feb 23 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.12-4
- fix build for rawhide (f26)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Apr 01 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.12-2
- simplify file section

* Wed Mar 30 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.12-1
- initial package

